Bug 168345 - security/maia fails after php5 upgrade
Summary: security/maia fails after php5 upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-26 09:10 UTC by freebsd.users
Modified: 2012-06-08 21:20 UTC (History)
0 users

See Also:


Attachments
maia_sqlite_freebsd.patch (423 bytes, patch)
2012-06-03 05:19 UTC, ek
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd.users 2012-05-26 09:10:01 UTC
# cd /usr/ports/security/maia
# make
Unknown extension sqlite for PHP 5.
*** Error code 1

Stop in /usr/ports/security/maia.
*** Error code 1

Stop in /usr/ports/security/maia.
#

How-To-Repeat: Build security/maia
Comment 1 Edwin Groothuis freebsd_committer 2012-05-26 09:10:14 UTC
Maintainer of security/maia,

Please note that PR ports/168345 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168345

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-05-26 09:10:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell freebsd_committer 2012-05-26 15:13:06 UTC
Just a doublecheck:

since the default php changed to php5.4, and not 5.3:
Did you update ports tree, and follow the update instructions in 
/usr/ports/UPDATING?
This would mean replacing all of your php5.3 (or whatever you were 
running) with 5.4
Note: MANY, MANY, MANY incompatibilities with php 5.4
If you WERE running php5.3, suggest you consider re-installing php5.3 
and regress test 5.4 on a test system.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 4 freebsd.users 2012-06-01 10:38:13 UTC
@	Michael Scheidell:

Yeah, tried portdowngrade on lang/php5 & lang/php5-extensions. I am
getting strange errors now w/r to mysql. Will post full details
tomorrow.
Comment 5 ek 2012-06-03 05:19:30 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This is due to PHP 5.4 dropping support for sqlite2. Therefore,
sqlite3 (databases/php5-sqlite3) needs to replace it. Either install
the port manually or (recommended fix) is to change the "USE_PHP ="
extension list in the security/maia/Makefile to "sqlite3" as opposed
to just "sqlite". Attached is a patch that fixes this issue.

Regards,
Janky Jay, III

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk/K5c4ACgkQZ5znzUsaCyR9gwCfa+9nc5eVZVTPKg5pE7Z4NCJF
9hUAnRhUPpNi4Ip0+Q1XeM6n2izlJXyu
=NK3E
-----END PGP SIGNATURE-----
Comment 6 Michael Scheidell freebsd_committer 2012-06-08 13:58:34 UTC
State Changed
From-To: feedback->open

Maintainer has submitted a fix. 


Comment 7 Michael Scheidell freebsd_committer 2012-06-08 13:58:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 8 Chris Rees 2012-06-08 15:35:39 UTC
Also needs a PORTREVISION bump to fix package dependencies.

Chris
Comment 9 dfilter service freebsd_committer 2012-06-08 21:13:57 UTC
scheidell    2012-06-08 20:13:43 UTC

  FreeBSD ports repository

  Modified files:
    security/maia        Makefile 
  Log:
  - Unbreak after php5 (5.4) upgrade.  sqlite deprecated. use sqlite3
  - Bump PORTREVISION
  
  PR:             ports/168345
  Reported by:    Justin <freebsd.users@gmail.com>
  Submitted by:   "Janky Jay, III" <ek@purplehat.org> (maintainer)
  
  Revision  Changes    Path
  1.11      +2 -2      ports/security/maia/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Michael Scheidell freebsd_committer 2012-06-08 21:14:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!